### Method

# Gio SubprocessLauncher set_stdout_file_path

since: 2.40

#### Declaration

    void
    g_subprocess_launcher_set_stdout_file_path (
      GSubprocessLauncher* self,
      const gchar* path
    )

#### Description

Sets the file path to use as the stdout for spawned processes.

If `path` is `NULL` then any previously given path is unset.

The file will be created or truncated when the process is spawned, as would be the case if using ‘>’ at the shell.

You may not set a stdout file path if a stdout fd is already set or if the launcher flags contain any flags directing stdout elsewhere.

This feature is only available on UNIX.

Available since: 2.40

#### Parameters

`path`

  Type: `const gchar*`

  A filename or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a file system path, using the OS encoding.